aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/configure_ubuntu.sh6
-rwxr-xr-xscripts/macos_build.sh2
-rw-r--r--[-rwxr-xr-x]scripts/macos_post_build.sh4
-rwxr-xr-xscripts/release_macos.sh22
-rwxr-xr-xscripts/wasabi_program.sh2
-rw-r--r--scripts/windows/Dockerfile11
6 files changed, 29 insertions, 18 deletions
diff --git a/scripts/configure_ubuntu.sh b/scripts/configure_ubuntu.sh
index 280dfdf9..1f9b8e83 100755
--- a/scripts/configure_ubuntu.sh
+++ b/scripts/configure_ubuntu.sh
@@ -7,13 +7,11 @@ set -eu
ROOT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/"
-cd "${ROOT_DIR}"
-
+cd ${ROOT_DIR}
#need some openGL stuff
sudo apt install libgl1-mesa-dev
-#install curl incase of fresh vm
-sudo apt install curl
+
mkdir tmp
cd tmp
diff --git a/scripts/macos_build.sh b/scripts/macos_build.sh
index efb7653f..22e2d457 100755
--- a/scripts/macos_build.sh
+++ b/scripts/macos_build.sh
@@ -30,4 +30,4 @@ tar -xvf apng.tar.xz
cp clang_64/plugins/imageformats/libqapng.dylib ../lib
cd ..
-/usr/local/opt/qt/bin/qmake && make -j2
+qmake && make -j2
diff --git a/scripts/macos_post_build.sh b/scripts/macos_post_build.sh
index df1475c4..50acb408 100755..100644
--- a/scripts/macos_post_build.sh
+++ b/scripts/macos_post_build.sh
@@ -13,12 +13,10 @@ ROOT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/"
cd ${ROOT_DIR}
# This thing basically does all the work
-/usr/local/opt/qt/bin/macdeployqt ../bin/Attorney_Online.app
+macdeployqt ../bin/Attorney_Online.app
# Need to add the dependencies
cp ../lib/* ../bin/Attorney_Online.app/Contents/Frameworks
# libbass has a funny path for some reason, just use rpath
install_name_tool -change @loader_path/libbass.dylib @rpath/libbass.dylib ../bin/Attorney_Online.app/Contents/MacOS/Attorney_Online
-
-zip -r -9 ../bin/Attorney_Online_mac_x86_64.zip ../bin/ \ No newline at end of file
diff --git a/scripts/release_macos.sh b/scripts/release_macos.sh
new file mode 100755
index 00000000..50acb408
--- /dev/null
+++ b/scripts/release_macos.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# This script prepares the compiled bundle for shipping as a standalone release
+# Assumes the Qt bin folder is in PATH
+# Should be used on a "Release" build from QT creator
+# Note that this DOES NOT add the base/ folder
+
+# Exit on errors and unset variables
+set -eu
+
+ROOT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )/"
+
+cd ${ROOT_DIR}
+
+# This thing basically does all the work
+macdeployqt ../bin/Attorney_Online.app
+
+# Need to add the dependencies
+cp ../lib/* ../bin/Attorney_Online.app/Contents/Frameworks
+
+# libbass has a funny path for some reason, just use rpath
+install_name_tool -change @loader_path/libbass.dylib @rpath/libbass.dylib ../bin/Attorney_Online.app/Contents/MacOS/Attorney_Online
diff --git a/scripts/wasabi_program.sh b/scripts/wasabi_program.sh
index 37feac6e..41e2e352 100755
--- a/scripts/wasabi_program.sh
+++ b/scripts/wasabi_program.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
# Updates the specified program manifest to a new archive and version
# and uploads the new archive and manifest to S3/Wasabi.
#
diff --git a/scripts/windows/Dockerfile b/scripts/windows/Dockerfile
index b9a12d66..f4f1a836 100644
--- a/scripts/windows/Dockerfile
+++ b/scripts/windows/Dockerfile
@@ -10,12 +10,5 @@ RUN /opt/mxe/usr/bin/${TARGET_SPEC}-cmake .. -DCMAKE_INSTALL_PREFIX=/opt/mxe/usr
RUN /opt/mxe/usr/bin/${TARGET_SPEC}-cmake --build . --config Release --target install
WORKDIR ../..
-# Build QtApng statically
-RUN git clone https://github.com/Skycoder42/QtApng
-WORKDIR QtApng
-# libpng contains a self-test entry point that takes precedence for some reason
-# over the final build's entry point.
-RUN sed -i "s/^main(/libpng_main(/g" src/3rdparty/libpng/src/pngtest.c
-RUN /opt/mxe/usr/${TARGET_SPEC}/qt5/bin/qmake
-RUN make && make install
-WORKDIR .. \ No newline at end of file
+# NOTE: Do not build QtApng statically! libpng contains a self-test entry point that
+# takes precedence for some reason over the final build's entry point.